Retrieve location customer analytics
curl --request GET \
--url https://server.chataigne.ai/v1/locations/{location_id}/analytics/customers \
--header 'x-api-key: <api-key>'import requests
url = "https://server.chataigne.ai/v1/locations/{location_id}/analytics/customers"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://server.chataigne.ai/v1/locations/{location_id}/analytics/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "location_customer_analytics",
"location_id": "loc_r8v4n2c6tz",
"period": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"service_type": "delivery"
},
"summary": {
"active_customer_count": 180,
"new_customer_count": 42,
"returning_customer_rate": 37,
"multi_order_customer_rate": 24,
"interaction_count": 520,
"conversion_rate": 28
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "<string>",
"request_id": "req_8f2c…",
"param": "<string>",
"details": {}
}
}Analytics
Retrieve location customer analytics
GET
/
v1
/
locations
/
{location_id}
/
analytics
/
customers
Retrieve location customer analytics
Authorizations
Location/organization API key.
Path Parameters
Query Parameters
Start of the analytics period. If both from and to are omitted, the period defaults to the last 30 days.
End of the analytics period. If both from and to are omitted, the period defaults to now.
Restrict order-backed statistics to delivery or collection orders.
Available options:
delivery, collection